<html>
<head>
<title>Ogre::GpuNamedConstants Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1GpuNamedConstants.html">GpuNamedConstants</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GpuNamedConstants Struct Reference<div class="ingroups"><a class="el" href="group__Materials.html">Materials</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GpuNamedConstants" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>Struct collecting together the information for named constants.  
 <a href="structOgre_1_1GpuNamedConstants.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::GpuNamedConstants:</div>
<div class="dyncontent">
<div class="center"><img src="structOgre_1_1GpuNamedConstants__inherit__graph.gif" border="0" usemap="#Ogre_1_1GpuNamedConstants_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1GpuNamedConstants_inherit__map" id="Ogre_1_1GpuNamedConstants_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="37,5,157,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="structOgre_1_1GpuNamedConstants-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuNamedConstants.html#ac0e05654af490172ac33e0248198c5fb">GpuNamedConstants</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuNamedConstants.html#ad1a16f8fe55b903b77c62a5d28387d21">generateConstantDefinitionArrayEntries</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;paramName, const <a class="el" href="structOgre_1_1GpuConstantDefinition.html">GpuConstantDefinition</a> &amp;baseDef)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Generate additional constant entries for arrays based on a base definition.  <a href="#ad1a16f8fe55b903b77c62a5d28387d21"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuNamedConstants.html#a8a3970ce92ba2fdfaadab3c1940045ed">save</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;filename) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Saves constant definitions to a file, compatible with <a class="el" href="classOgre_1_1GpuProgram.html#afdadf659ccac4facdc86e55a266eebcf" title="Specifies the name of a file from which to load named parameters mapping for a program which would no...">GpuProgram::setManualNamedConstantsFile</a>.  <a href="#a8a3970ce92ba2fdfaadab3c1940045ed"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuNamedConstants.html#a8c49c555a0e99a99dee1e99d0450578b">load</a> (<a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;stream)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads constant definitions from a stream, compatible with <a class="el" href="classOgre_1_1GpuProgram.html#afdadf659ccac4facdc86e55a266eebcf" title="Specifies the name of a file from which to load named parameters mapping for a program which would no...">GpuProgram::setManualNamedConstantsFile</a>.  <a href="#a8c49c555a0e99a99dee1e99d0450578b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuNamedConstants.html#a3e1e7178a176a8e12e9e7491187885de">getGenerateAllConstantDefinitionArrayEntries</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates whether all array entries will be generated and added to the definitions map.  <a href="#a3e1e7178a176a8e12e9e7491187885de"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuNamedConstants.html#a262a2eea37cc3b2ef0973a625f624ff0">setGenerateAllConstantDefinitionArrayEntries</a> (bool generateAll)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets whether all array entries will be generated and added to the definitions map.  <a href="#a262a2eea37cc3b2ef0973a625f624ff0"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuNamedConstants.html#a5558247a535928116d99c17fdbb4de6f">floatBufferSize</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Total size of the float buffer required.  <a href="#a5558247a535928116d99c17fdbb4de6f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuNamedConstants.html#a6989ab89780218c87936c55c96586a5b">intBufferSize</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Total size of the int buffer required.  <a href="#a6989ab89780218c87936c55c96586a5b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Materials.html#ga90b266af540c4396c8c18ac2c43fd0f3">GpuConstantDefinitionMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuNamedConstants.html#af35adecba174a620edfea7ff95ad3a7e">map</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Map of parameter names to <a class="el" href="structOgre_1_1GpuConstantDefinition.html" title="Information about predefined program constants.">GpuConstantDefinition</a>.  <a href="#af35adecba174a620edfea7ff95ad3a7e"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GpuNamedConstants.html#acd622b429b5ec95b9cbd85051c681457">msGenerateAllConstantDefinitionArrayEntries</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates whether all array entries will be generated and added to the definitions map.  <a href="#acd622b429b5ec95b9cbd85051c681457"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Struct collecting together the information for named constants. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00270">270</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ac0e05654af490172ac33e0248198c5fb"></a><!-- doxytag: member="Ogre::GpuNamedConstants::GpuNamedConstants" ref="ac0e05654af490172ac33e0248198c5fb" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GpuNamedConstants.html#ac0e05654af490172ac33e0248198c5fb">Ogre::GpuNamedConstants::GpuNamedConstants</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00279">279</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ad1a16f8fe55b903b77c62a5d28387d21"></a><!-- doxytag: member="Ogre::GpuNamedConstants::generateConstantDefinitionArrayEntries" ref="ad1a16f8fe55b903b77c62a5d28387d21" args="(const String &amp;paramName, const GpuConstantDefinition &amp;baseDef)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="structOgre_1_1GpuNamedConstants.html#ad1a16f8fe55b903b77c62a5d28387d21">Ogre::GpuNamedConstants::generateConstantDefinitionArrayEntries</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>paramName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1GpuConstantDefinition.html">GpuConstantDefinition</a> &amp;&#160;</td>
          <td class="paramname"><em>baseDef</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Generate additional constant entries for arrays based on a base definition. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Array uniforms will be added just with their base name with no array suffix. This method will add named entries for array suffixes too so individual array entries can be addressed. Note that we only individually index array elements if the array size is up to 16 entries in size. Anything larger than that only gets a [0] entry as well as the main entry, to save cluttering up the name map. After all, you can address the larger arrays in a bulk fashion much more easily anyway. </dd></dl>

</div>
</div>
<a class="anchor" id="a3e1e7178a176a8e12e9e7491187885de"></a><!-- doxytag: member="Ogre::GpuNamedConstants::getGenerateAllConstantDefinitionArrayEntries" ref="a3e1e7178a176a8e12e9e7491187885de" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="structOgre_1_1GpuNamedConstants.html#a3e1e7178a176a8e12e9e7491187885de">Ogre::GpuNamedConstants::getGenerateAllConstantDefinitionArrayEntries</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Indicates whether all array entries will be generated and added to the definitions map. </p>

</div>
</div>
<a class="anchor" id="a8c49c555a0e99a99dee1e99d0450578b"></a><!-- doxytag: member="Ogre::GpuNamedConstants::load" ref="a8c49c555a0e99a99dee1e99d0450578b" args="(DataStreamPtr &amp;stream)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="structOgre_1_1GpuNamedConstants.html#a8c49c555a0e99a99dee1e99d0450578b">Ogre::GpuNamedConstants::load</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Resources.html#ga8a2a961b4205aacff9c01e81e08d7781">DataStreamPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>stream</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Loads constant definitions from a stream, compatible with <a class="el" href="classOgre_1_1GpuProgram.html#afdadf659ccac4facdc86e55a266eebcf" title="Specifies the name of a file from which to load named parameters mapping for a program which would no...">GpuProgram::setManualNamedConstantsFile</a>. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1GpuProgram.html#afdadf659ccac4facdc86e55a266eebcf" title="Specifies the name of a file from which to load named parameters mapping for a program which would no...">GpuProgram::setManualNamedConstantsFile</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::GpuNamedConstants::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::GpuNamedConstants::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::GpuNamedConstants::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::GpuNamedConstants::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::GpuNamedConstants::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::GpuNamedConstants::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::GpuNamedConstants::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::GpuNamedConstants::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::GpuNamedConstants::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::GpuNamedConstants::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8a3970ce92ba2fdfaadab3c1940045ed"></a><!-- doxytag: member="Ogre::GpuNamedConstants::save" ref="a8a3970ce92ba2fdfaadab3c1940045ed" args="(const String &amp;filename) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="structOgre_1_1GpuNamedConstants.html#a8a3970ce92ba2fdfaadab3c1940045ed">Ogre::GpuNamedConstants::save</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>filename</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Saves constant definitions to a file, compatible with <a class="el" href="classOgre_1_1GpuProgram.html#afdadf659ccac4facdc86e55a266eebcf" title="Specifies the name of a file from which to load named parameters mapping for a program which would no...">GpuProgram::setManualNamedConstantsFile</a>. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1GpuProgram.html#afdadf659ccac4facdc86e55a266eebcf" title="Specifies the name of a file from which to load named parameters mapping for a program which would no...">GpuProgram::setManualNamedConstantsFile</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a262a2eea37cc3b2ef0973a625f624ff0"></a><!-- doxytag: member="Ogre::GpuNamedConstants::setGenerateAllConstantDefinitionArrayEntries" ref="a262a2eea37cc3b2ef0973a625f624ff0" args="(bool generateAll)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="structOgre_1_1GpuNamedConstants.html#a262a2eea37cc3b2ef0973a625f624ff0">Ogre::GpuNamedConstants::setGenerateAllConstantDefinitionArrayEntries</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>generateAll</em></td><td>)</td>
          <td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets whether all array entries will be generated and added to the definitions map. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Usually, array entries can only be individually indexed if they're up to 16 entries long, to save memory - arrays larger than that can be set but only via the bulk setting methods. This option allows you to choose to individually index every array entry. </dd></dl>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a5558247a535928116d99c17fdbb4de6f"></a><!-- doxytag: member="Ogre::GpuNamedConstants::floatBufferSize" ref="a5558247a535928116d99c17fdbb4de6f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1GpuNamedConstants.html#a5558247a535928116d99c17fdbb4de6f">Ogre::GpuNamedConstants::floatBufferSize</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Total size of the float buffer required. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00273">273</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6989ab89780218c87936c55c96586a5b"></a><!-- doxytag: member="Ogre::GpuNamedConstants::intBufferSize" ref="a6989ab89780218c87936c55c96586a5b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1GpuNamedConstants.html#a6989ab89780218c87936c55c96586a5b">Ogre::GpuNamedConstants::intBufferSize</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Total size of the int buffer required. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00275">275</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="af35adecba174a620edfea7ff95ad3a7e"></a><!-- doxytag: member="Ogre::GpuNamedConstants::map" ref="af35adecba174a620edfea7ff95ad3a7e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Materials.html#ga90b266af540c4396c8c18ac2c43fd0f3">GpuConstantDefinitionMap</a> <a class="el" href="structOgre_1_1GpuNamedConstants.html#af35adecba174a620edfea7ff95ad3a7e">Ogre::GpuNamedConstants::map</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Map of parameter names to <a class="el" href="structOgre_1_1GpuConstantDefinition.html" title="Information about predefined program constants.">GpuConstantDefinition</a>. </p>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00277">277</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<a class="anchor" id="acd622b429b5ec95b9cbd85051c681457"></a><!-- doxytag: member="Ogre::GpuNamedConstants::msGenerateAllConstantDefinitionArrayEntries" ref="acd622b429b5ec95b9cbd85051c681457" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1GpuNamedConstants.html#acd622b429b5ec95b9cbd85051c681457">Ogre::GpuNamedConstants::msGenerateAllConstantDefinitionArrayEntries</a><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Indicates whether all array entries will be generated and added to the definitions map. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Normally, the number of array entries added to the definitions map is capped at 16 to save memory. Setting this value to <code>true</code> allows all of the entries to be generated and added to the map. </dd></dl>

<p>Definition at line <a class="el" href="OgreGpuProgramParams_8h_source.html#l00322">322</a> of file <a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreGpuProgramParams_8h_source.html">OgreGpuProgramParams.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:56
</p>
</body>
</html>
